#include <bits/stdc++.h>
#include <iostream>

using namespace std;

main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    long long int x1,x2,y1,y2;
    cin>>x1>>y1;
    cin>>x2>>y2;

    if(x1==x2 && y1!=y2)
    {
        cout<<"2"<<endl;
        return 0;
    }

    if(x1!=x2 && y1==y2)
    {
        cout<<"2"<<endl;
        return 0;
    }

    if(x1!=x2 && y1!=y2)
    {
        if(abs(x1-x2)==abs(y1-y2))
            cout<<"1"<<endl;
        else
            cout<<"0"<<endl;
        return 0;
    }
}